Bug 238859 - upgrade install stopped during selinux-policy-targeted
upgrade install stopped during selinux-policy-targeted
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-05-03 10:06 EDT by David Timms
Modified: 2008-04-23 18:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-23 18:42:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Timms 2007-05-03 10:06:40 EDT
Description of problem:
The upgrade is on progress, but has stopped {hang} for the last 30 minutes on:
Installing selinux-policy-targeted - 2.6.1-1.fc7.noarch

Version-Release number of selected component (if applicable):
552905763371fee09fb6bdfa5b1f2015693b93f6  FC-development-i386-rescuecd.iso

Steps to Reproduce:
1. boot rescue+ftp upgrade
2. package installation begins.
Actual results:
showing 420/500 packages completed, upto selinux-policy-targeted, the
installation has hung.

Expected results:
Install completes.
Comment 1 Jeremy Katz 2007-05-03 12:02:36 EDT
Can you switch to tty2 and see if it's doing things?  selinux-policy-targeted
ends up doing some relabeling in its %post and thus could just be taking a while. :(
Comment 2 David Timms 2007-05-04 05:52:12 EDT
Actually, I did let it go another hour, but with no disk activity led flashes,
and no switching to vt2/3/4 with ctrl-alt-2/3/4. I decided she had gone to
"la-la" land.

When I tried to reboot, the machine hung during boot (not syncing) kernel panic
with the ~caps led flashing. Anyhow, I booted the machine tonight and the same
occured. I then restarted and removed rhgb and quiet, and added single. As I did
this I noticed that the boot volume was "root=LABEL=/1".

From memory the last thing done on the machine was to check and make sure disk
labels where set and used in fstab for all volumes (same machine that was having
problems until yedterday with lvm - bug 234938 . Unfortunately, I can't remember
whether I tested this change by booting the machine into the desktop before
beginning the upgrade. This might have been my fault.

In fact, moding the kernel line to just "root=LABEL=/" has allowed the machine
to boot {with some new graphics}, but still gets into the desktop. I have
decided to repeat the fc6 install/update|upgrade to f7t4 to check whether I
missed the test reboot in between.
Comment 3 Bug Zapper 2008-04-03 20:27:33 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 David Timms 2008-04-23 18:42:53 EDT
Memory is a bit fuzzy; I think had made a change that would have made the system
unbootable, but then booted the installer to do an upgrade.
Closing as user FU.

Note You need to log in before you can comment on or make changes to this bug.